Allow welcome notification to optionally have a link target
Closed, ResolvedPublic

Description

[Resolved] Copying https://lists.wikimedia.org/pipermail/wikitech-ambassadors/2015-November/001290.html here, because Tech/News links here.


The welcome notification[1] shown to new users previously did not link anywhere, and just had some text which was not super useful. With the upcoming deployment of 1.27.0-wmf.7, administrators can put the page the notification should link to in the page "MediaWiki:notification-welcome-link" on your wiki. For example, on mediawiki.org, our welcome/intro page is [2], so I created [3] with the text "Special:MyLanguage/How to contribute".

This is customizable per-wiki because each wiki tends to have their welcome pages in different locations.

[1] https://commons.wikimedia.org/wiki/File:Echo_welcome_notification_screenshot.png
[2] https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute
[3] https://www.mediawiki.org/wiki/MediaWiki:Notification-welcome-link


Original task description:

Right now the welcome notification does not have any link targets. Roan suggested that we could have an optional i18n message that would contain a page name of where the user should be sent.

Legoktm created this task.Nov 2 2015, 11:58 PM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Low.
Legoktm added a project: Notifications.
Legoktm added subscribers: Legoktm, Catrope.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 2 2015, 11:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 252853 had a related patch set uploaded (by Legoktm):
Allow welcome notifications to have a primary link

https://gerrit.wikimedia.org/r/252853

Legoktm claimed this task.Nov 12 2015, 10:35 PM

Change 252853 merged by jenkins-bot:
Allow welcome notifications to have a primary link

https://gerrit.wikimedia.org/r/252853

Catrope added a comment.EditedNov 16 2015, 6:08 PM

Once this is deployed, communities will be able to specify the link target by editing [[MediaWiki:notification-welcome-link]] (which is expected to be a page name, not a URL)

Checked in betalabs.

Quiddity updated the task description. (Show Details)Nov 16 2015, 9:05 PM
Ricordisamoa added a subscriber: Ricordisamoa.
Ricordisamoa removed a subscriber: gerritbot.